import { resolve } from "path";
// eslint-disable-next-line import/no-extraneous-dependencies
import { defineConfig } from "vite";

export default defineConfig({
    build: {
        rollupOptions: {
            input: {
                main: resolve(__dirname, "pageMain.html"),
                page2: resolve(__dirname, "pageCategories.html"),
                page3: resolve(__dirname, "pageAccount.html"),
                page4: resolve(__dirname, "pageSubscriptions.html"),
                page5: resolve(__dirname, "pageSavedStreams.html"),
            },
        },
    },
});
